Cutlass CUDA Templates for Linear Algebra Subroutines and Solvers

Public Types | Public Member Functions | List of all members
cutlass::gemm::FragmentMultiplyAdd< half > Struct Template Reference

`#include <fragment_multiply_add.h>`

## Public Types
typedef Shape< 1, 1, 1, 1 > | InstructionShape
| The shape of the instruction. More...
typedef half | ScalarA
| The type for A. More...
typedef half | ScalarB
| The type for B. More...
typedef half | ScalarC
| The type for C and D. More...

## Public Member Functions
CUTLASS_DEVICE | FragmentMultiplyAdd ()
| Ctor. More...
template<typename Fragment_ >
CUTLASS_DEVICE void | multiply (half a, Fragment_ const &b, Fragment_ &d)
| Multiply : d = a*b. More...
template<typename Fragment_ >
CUTLASS_DEVICE void | multiply_add (half a, Fragment_ const &b, Fragment_ const &c, Fragment_ &d)
| Multiply : d = a*b + c. More...

## Member Typedef Documentation

## ◆ InstructionShape

typedef Shape<1, 1, 1, 1> cutlass::gemm::FragmentMultiplyAdd< half >::InstructionShape

## ◆ ScalarA

typedef half cutlass::gemm::FragmentMultiplyAdd< half >::ScalarA

## ◆ ScalarB

typedef half cutlass::gemm::FragmentMultiplyAdd< half >::ScalarB

## ◆ ScalarC

typedef half cutlass::gemm::FragmentMultiplyAdd< half >::ScalarC

## Constructor & Destructor Documentation

## ◆ FragmentMultiplyAdd()

CUTLASS_DEVICE cutlass::gemm::FragmentMultiplyAdd< half >::FragmentMultiplyAdd | ( |  | ) |
| inline

## Member Function Documentation

## ◆ multiply()

template<typename Fragment_ >

CUTLASS_DEVICE void cutlass::gemm::FragmentMultiplyAdd< half >::multiply | ( | half | a,
|  | Fragment_ const & | b,
|  | Fragment_ & | d
| ) |  |
| inline

## ◆ multiply_add()

template<typename Fragment_ >

CUTLASS_DEVICE void cutlass::gemm::FragmentMultiplyAdd< half >::multiply_add | ( | half | a,
|  | Fragment_ const & | b,
|  | Fragment_ const & | c,
|  | Fragment_ & | d
| ) |  |
| inline

The documentation for this struct was generated from the following file:

- fragment_multiply_add.h